---
title: llarp::rpc::ignore_empty_string

---

# llarp::rpc::ignore_empty_string



 [More...](#detailed-description)

## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[ignore_empty_string](Classes/structllarp_1_1rpc_1_1ignore__empty__string.md#function-ignore-empty-string)**(T & ref) |
| bool | **[should_ignore](Classes/structllarp_1_1rpc_1_1ignore__empty__string.md#function-should-ignore)**(oxenc::bt_dict_consumer & d) |
| bool | **[should_ignore](Classes/structllarp_1_1rpc_1_1ignore__empty__string.md#function-should-ignore)**(json_range & it_range) |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| T & | **[value](Classes/structllarp_1_1rpc_1_1ignore__empty__string.md#variable-value)**  |

## Detailed Description

```cpp
template <typename T >
struct llarp::rpc::ignore_empty_string;
```

## Public Functions Documentation

### function ignore_empty_string

```cpp
inline ignore_empty_string(
    T & ref
)
```


### function should_ignore

```cpp
inline bool should_ignore(
    oxenc::bt_dict_consumer & d
)
```


### function should_ignore

```cpp
inline bool should_ignore(
    json_range & it_range
)
```


## Public Attributes Documentation

### variable value

```cpp
T & value;
```


-------------------------------

Updated on 2023-02-01 at 20:39:32 +0000